rubygem-oauth-0.4.6-1.of.el6.noarch.rpm


Advertisement

Description

rubygem-oauth - OAuth Core Ruby implementation

Property Value
Distribution CentOS 6
Repository Open Fusion x86_64
Package filename rubygem-oauth-0.4.6-1.of.el6.noarch.rpm
Package name rubygem-oauth
Package version 0.4.6
Package release 1.of.el6
Package architecture noarch
Package type rpm
Category Development/Languages
Homepage -
License GPLv2+ or Ruby
Maintainer -
Download size 133.04 KB
Installed size 411.73 KB
OAuth Core Ruby implementation

Alternatives

Package Version Architecture Repository
rubygem-oauth-0.4.6-1.of.el6.noarch.rpm 0.4.6 noarch Open Fusion
rubygem-oauth-0.4.4-1.of.el6.noarch.rpm 0.4.4 noarch Open Fusion
rubygem-oauth-0.4.4-1.of.el6.noarch.rpm 0.4.4 noarch Open Fusion
rubygem-oauth - - -

Requires

Name Value
/usr/bin/env -
/usr/bin/ruby -
ruby >= 0
ruby(abi) = 1.8
rubygems >= 0

Provides

Name Value
rubygem(oauth) = 0.4.6
rubygem-oauth = 0.4.6-1.of.el6

Download

Type URL
Mirror repo.openfusion.net
Binary Package rubygem-oauth-0.4.6-1.of.el6.noarch.rpm
Source Package rubygem-oauth-0.4.6-1.of.el6.src.rpm

Install Howto

  1. Download latest openfusion-release rpm from
    http://repo.openfusion.net/centos6-x86_64/
  2. Install openfusion-release rpm:
    # rpm -Uvh openfusion-release*rpm
  3. Install rubygem-oauth rpm package:
    # yum install rubygem-oauth

Files

Path
/usr/bin/oauth
/usr/lib/ruby/gems/1.8/bin/oauth
/usr/lib/ruby/gems/1.8/cache/oauth-0.4.6.gem
/usr/lib/ruby/gems/1.8/doc/oauth-0.4.6/
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/.gemtest
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/Gemfile
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/Gemfile.lock
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/HISTORY
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/LICENSE
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/README.rdoc
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/Rakefile
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/TODO
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/oauth.gemspec
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/.yardoc/checksums
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/.yardoc/proxy_types
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/.yardoc/objects/root.dat
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/bin/oauth
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/examples/yql.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/digest/hmac.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/cli.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/client.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/consumer.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/core_ext.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/errors.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/helper.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/oauth.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/oauth_test_helper.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/server.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/client/action_controller_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/client/em_http.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/client/helper.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/client/net_http.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/errors/error.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/errors/problem.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/errors/unauthorized.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/action_controller_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/base.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/curb_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/em_http_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/jabber_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/mock_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/net_http.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/rack_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/request_proxy/typhoeus_request.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/base.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/md5.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/plaintext.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/sha1.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/hmac/base.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/hmac/md5.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/hmac/rmd160.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/hmac/sha1.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/hmac/sha2.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/signature/rsa/sha1.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/tokens/access_token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/tokens/consumer_token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/tokens/request_token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/tokens/server_token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/lib/oauth/tokens/token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/tasks/deployment.rake
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/tasks/environment.rake
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/tasks/website.rake
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_access_token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_action_controller_request_proxy.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_consumer.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_curb_request_proxy.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_em_http_client.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_em_http_request_proxy.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_helper.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_hmac_sha1.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_net_http_client.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_net_http_request_proxy.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_oauth_helper.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_rack_request_proxy.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_request_token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_rsa_sha1.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_server.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_signature.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_signature_base.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_signature_plain_text.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_token.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/test_typhoeus_request_proxy.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/cases/oauth_case.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/cases/spec/
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/cases/spec/1_0-final/test_construct_request_url.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/cases/spec/1_0-final/test_normalize_request_parameters.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/cases/spec/1_0-final/test_parameter_encodings.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/cases/spec/1_0-final/test_signature_base_strings.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/integration/consumer_test.rb
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/keys/rsa.cert
/usr/lib/ruby/gems/1.8/gems/oauth-0.4.6/test/keys/rsa.pem
/usr/lib/ruby/gems/1.8/specifications/oauth-0.4.6.gemspec

Changelog

2012-05-16 - Gavin Carr <gavin@openfusion.com.au> 0.4.6-1
- Update to version 0.4.6.
2011-03-22 - Gavin Carr <gavin@openfusion.com.au> - 0.4.4-1
- Initial package

See Also

Package Description
rubygem-open4-1.3.0-1.of.el6.noarch.rpm open4
rubygem-optiflag-0.7-1.of.el6.noarch.rpm OptiFlag is an embeddable DSL library for declaring and using command-line options/flags in any Ruby program
rubygem-parslet-1.4.0-1.of.el6.noarch.rpm Parser construction library with great error reporting in Ruby
rubygem-pdfkit-0.5.2-1.of.el6.noarch.rpm HTML+CSS -> PDF
rubygem-pencil-0.3.1-1.of.el6.noarch.rpm pencil -- Graphite dashboard system
rubygem-polyglot-0.3.1-1.of.el6.noarch.rpm Allows custom language loaders for specified file extensions to be hooked into require
rubygem-posix-spawn-0.3.6-1.of.el6.x86_64.rpm posix_spawnp(2) for ruby
rubygem-prawn-0.12.0-1.of.el6.noarch.rpm A fast and nimble PDF generator for Ruby
rubygem-prawn-0.8.4-1.of.el6.noarch.rpm A fast and nimble PDF generator for Ruby
rubygem-prawn-core-0.8.4-1.of.el6.noarch.rpm A fast and nimble PDF generator for Ruby
rubygem-prawn-format-0.2.3-1.of.el6.noarch.rpm an extension of Prawn that allows inline formatting
rubygem-prawn-layout-0.8.4-1.of.el6.noarch.rpm An extension to Prawn that provides table support and other layout functionality
rubygem-prawn-security-0.8.4-1.of.el6.noarch.rpm Popular Password Protection & Permissions for Prawn PDFs
rubygem-pulp-0.0.8-1.of.el6.noarch.rpm A little ruby wrapper around th pulp API
rubygem-pygments-0.2.13-1.of.el6.noarch.rpm pygments wrapper for ruby
Advertisement
Advertisement